| Classes - Annotated - Tree - Functions - Home - Structure

# QHButtonGroup Class Reference

The QHButtonGroup widget organizes QButton widgets in a group with one horizontal row. More...

`#include <qhbuttongroup.h>`

Inherits QButtonGroup.

List of all member functions.

## Public Members

- QHButtonGroup ( QWidget * parent=0, const char * name=0 )
- QHButtonGroup ( const QString & title, QWidget * parent=0, const char * name=0 )
- ~QHButtonGroup ()

## Detailed Description

The QHButtonGroup widget organizes QButton widgets in a group with one horizontal row.

QHButtonGroup is a convenience class that offers a thin layer on top of QButtonGroup. Think of it as a QHBox that offers a frame with a title and is specifically designed for buttons.

## Member Function Documentation

### QHButtonGroup::QHButtonGroup ( QWidget * parent=0, const char * name=0 )

Constructs a horizontal button group with no title.

The parent and name arguments are passed to the QWidget constructor.

### QHButtonGroup::QHButtonGroup ( const QString & title, QWidget * parent=0, const char * name=0 )

Constructs a horizontal button group with a title.

The parent and name arguments are passed to the QWidget constructor.

### QHButtonGroup::~QHButtonGroup ()

Destructs the horizontal button group, deleting its child widgets.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.